=== debian/changelog ===
orocos-bfl (0.8.0-7) unstable; urgency=medium

  * Team upload.
  * bump cmake_minimum_required for CMake 4.0 (closes: #1113369)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 01 Oct 2025 11:34:28 +0200

orocos-bfl (0.8.0-6) unstable; urgency=medium

  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 31 Oct 2021 22:40:04 +0100

orocos-bfl (0.8.0-5) unstable; urgency=medium

  * Add upstream patch for broken test (Closes: #915308)
  * Bump policy version
  * scrap symbols files

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 05 Dec 2018 21:26:30 +0100

orocos-bfl (0.8.0-4) unstable; urgency=medium

  * update symbols file using $(pkgkde-symbolshelper batchpatch -v 0.8.0 *.log)
    and build logs for all architectures acquired via $(getbuildlog orocos-bfl
    0.8.0-3)

 -- Johannes Schauer <josch@debian.org>  Thu, 19 Apr 2018 18:10:10 +0200

orocos-bfl (0.8.0-3) unstable; urgency=medium

  * debian/changelog: break long lines
  * Add patch that fixes testsuite on non-amd64 architectures
  * Start using pkgkde-symbolshelper because the C++ symbols differ between
    architectures

 -- Johannes Schauer <josch@debian.org>  Mon, 02 Apr 2018 14:45:17 +0200

orocos-bfl (0.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes required)
  * debian/copyright: Add more copyright holders
  * Also install pkgconfig in multiarch path to not prevent cross compilation
  * Bump debhelper compat level to 11
  * Add Vcs-Git and Vcs-Browser fields
  * debian/tests/run-tests: bump CMAKE_MINIMUM_REQUIRED to 2.4 because cmake
    doesn't support older versions
  * debian/control: add Recommends:pkg-config for liborocos-bfl-dev
  * debian/tests/run-tests: use content of liborocos-bfl-examples package to
    test and not unpacked source
  * debian/tests/control: do not install @builddeps@ but install cmake and
    build-essential explicitly
  * do not compress example files to prevent mixed compressed and
    non-compressed sources
  * debian/tests/run-tests: Use hidden cmake options -H and -B

 -- Johannes Schauer <josch@debian.org>  Mon, 02 Apr 2018 09:51:35 +0200

orocos-bfl (0.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #878355)

 -- Johannes Schauer <josch@debian.org>  Fri, 13 Oct 2017 10:05:12 +0200
