=== debian/control ===
Source: orocos-bfl
Priority: optional
Section: devel
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Johannes Schauer <josch@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libcppunit-dev, libboost-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/orocos-bfl.git
Vcs-Browser: https://salsa.debian.org/science-team/orocos-bfl
Homepage: https://www.orocos.org/bfl

Package: liborocos-bfl0.8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Orocos Bayesian Filtering Library
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the Bayesian Filtering Library.

Package: liborocos-bfl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liborocos-bfl0.8 (= ${binary:Version}), libboost-dev
Recommends: pkg-config
Multi-Arch: same
Description: Orocos Bayesian Filtering Library development files
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the headers for developing Orocos-BFL applications.

Package: liborocos-bfl-examples
Section: libs
Architecture: all
Depends: ${misc:Depends}
Recommends: liborocos-bfl-dev
Multi-Arch: foreign
Description: Orocos Bayesian Filtering Library examples
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the BFL examples.
