=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=OFF

# do not compress anything in /usr/share/doc/liborocos-bfl-examples/examples
# because otherwise eight source files will be compressed (because they are
# larger than 4K) while 18 will not (because they are smaller), resulting in an
# inconsistent mess
override_dh_compress:
	dh_compress --package=liborocos-bfl-examples --exclude=usr/share/doc/liborocos-bfl-examples/examples
	dh_compress --remaining-packages
