=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, build-essential, cmake, pkg-config
