=== debian/watch ===
# Orocos BFL moved to github (see http://www.orocos.org/orocos/bfl-moved-github)
# but there is no release yet that we can test this on
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/orocos/orocos-bayesian-filtering /
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
